Fix React Native error Invalid regular expression: /.\\__fixtures__

If you Got this issue today on windows, but don’t need to downgrade node, just as discussed on

Stackoverflow

just need to change some hashes on your project:

node_modules\react-native\packager\blacklist.js

var sharedBlacklist = [
  /node_modules[/\\]react[/\\]dist[/\\].*/,
  /website\/node_modules\/.*/,
  /heapCapture\/bundle\.js/,
  /.*\/__tests__\/.*/
];

Change to:

var sharedBlacklist = [
  /node_modules[\/\\]react[\/\\]dist[\/\\].*/,
  /website\/node_modules\/.*/,
  /heapCapture\/bundle\.js/,
  /.*\/__tests__\/.*/
];